#!/bin/bash
# dovecot-maintenance.sh
# 2010-11-24
# bpkroth
#
# A script to loop over user accounts with the dovecot-maintenance.pl client.
# It is expected to be run daily, but only operates on a single letter at a
# time.  Thus, everyone's mailboxes get operated on every 26 days.

# Spread which user accounts we operate on over 26 days.
# lod will loop through [a-z] every 26 days.
doy=`date +%j`
lod=`echo $((($doy % 26) + 97)) | awk '{ printf "%c", $1 }'`

# Set letter of the day to be b for testing.
lod='b'
# And only pull in my accounts.
for theuser in `getent passwd | awk -F: '( $6 ~ "^/mail/'$lod'/" ) { print $1 }' | sort | egrep '^(bpkroth|bkroth|brian|bpktest)$'`; do
#for theuser in `getent passwd | awk -F: '( $6 ~ "^/mail/'$lod'/" ) { print $1 }' | sort`; do
	echo "Working on '$theuser'"

	/opt/cron/dovecot-maintenance.pl --user $theuser -v

	# Take a breath...
	sleep 1
	echo
done
